<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
<ui:decorate template="template.xhtml">
	<ui:define name="centro">
	
			<f:metadata>
				<f:event listener="#{processoEstagioBean.loadProcesso}" type="preRenderView"/>
				<f:viewParam name="numero" value="#{processoEstagioBean.processo.numero}"></f:viewParam>
			</f:metadata>
		<p:growl id="growl" life="2000" />
		<h:form id="processosForm">
		
		
			<h1>Processo de Estágio</h1>
			<h:panelGrid columns="2" cellpadding="5" id="processos">
			
			
			<h:outputLabel for="Aluno" value="Aluno:" style="font-weight:bold" />
				
				<p:autoComplete id="Nome" 
        			dropdown="true" 
        			forceSelection="true"
        			value="#{processoEstagioBean.processo.aluno}" 
        			completeMethod="#{alunoBean.completeAluno}"
        			var="alu"
        			itemLabel="#{alu.nome}"
        			itemValue="#{alu}"
        			converter="alunoConverter" size="100"/>
        			
        			
				<h:outputLabel for="processo" value="Processo:"
					style="font-weight:bold" />
				<p:inputText id="processo" value="#{processoEstagioBean.processo.numero}" />
				
			
				<h:outputLabel for="evento1Data" value="Data Abertura do Protocolo:"
					style="font-weight:bold" rendered="#{empty processoEstagioBean.processo.data1}"/>
				<p:calendar id="evento1Data" value="#{processoEstagioBean.processo.data1}"
					showOn="button" rendered="#{empty processoEstagioBean.processo.data1}" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" value="Observação:"
					style="font-weight:bold" rendered="#{empty processoEstagioBean.processo.data1}"/>
				<p:inputText id="descricao1" rendered="#{empty processoEstagioBean.processo.data1}" value="#{processoEstagioBean.processo.descricao1}"
					size="70" />

				<h:outputLabel for="evento2Data" value="Data Recebimento Coord. SI:"
					style="font-weight:bold" rendered="#{not empty processoEstagioBean.processo.data1 and empty processoEstagioBean.processo.data2}"/>
				<p:calendar id="evento2Data" rendered="#{not empty processoEstagioBean.processo.data1 and empty processoEstagioBean.processo.data2}" value="#{processoEstagioBean.processo.data2}"
					showOn="button" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" rendered="#{not empty processoEstagioBean.processo.data1 and empty processoEstagioBean.processo.data2}" value="Observação:"
					style="font-weight:bold" />
				<p:inputText id="Nome2" rendered="#{not empty processoEstagioBean.processo.data1 and empty processoEstagioBean.processo.data2}" value="#{processoEstagioBean.processo.descricao2}" size="70" />

				<h:outputLabel for="evento3Data" rendered="#{not empty processoEstagioBean.processo.data2 and empty processoEstagioBean.processo.data3}" value="Data Envio Prof. Orientador:"
					style="font-weight:bold" />
				<p:calendar id="evento3Data" rendered="#{not empty processoEstagioBean.processo.data2 and empty processoEstagioBean.processo.data3}" value="#{processoEstagioBean.processo.data3}"
					showOn="button" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" rendered="#{not empty processoEstagioBean.processo.data2 and empty processoEstagioBean.processo.data3}" value="Observação:"
					style="font-weight:bold" />
				<p:inputText id="Nome3" rendered="#{not empty processoEstagioBean.processo.data2 and empty processoEstagioBean.processo.data3}" value="#{processoEstagioBean.processo.descricao3}" size="70" />

				<h:outputLabel for="evento4Data" rendered="#{not empty processoEstagioBean.processo.data3 and empty processoEstagioBean.processo.data4}" value="Data Recebimento Coord. SI:"
					style="font-weight:bold" />
				<p:calendar id="evento4Data" rendered="#{not empty processoEstagioBean.processo.data3 and empty processoEstagioBean.processo.data4}" value="#{processoEstagioBean.processo.data4}"
					showOn="button" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" rendered="#{not empty processoEstagioBean.processo.data3 and empty processoEstagioBean.processo.data4}" value="Observação:"
					style="font-weight:bold" />
				<p:inputText id="Nome4" rendered="#{not empty processoEstagioBean.processo.data3 and empty processoEstagioBean.processo.data4}" value="#{processoEstagioBean.processo.descricao4}" size="70" />

				<h:outputLabel for="evento5Data" rendered="#{not empty processoEstagioBean.processo.data4 and empty processoEstagioBean.processo.data5}" value="Data Envio Coord. Estágio:"
					style="font-weight:bold" />
				<p:calendar id="evento5Data" rendered="#{not empty processoEstagioBean.processo.data4 and empty processoEstagioBean.processo.data5}" value="#{processoEstagioBean.processo.data5}"
					showOn="button" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao"  rendered="#{not empty processoEstagioBean.processo.data4 and empty processoEstagioBean.processo.data5}" value="Observação:"
					style="font-weight:bold" />
				<p:inputText id="Nome5" rendered="#{not empty processoEstagioBean.processo.data4 and empty processoEstagioBean.processo.data5}" value="#{processoEstagioBean.processo.descricao5}" size="70" />

				<h:outputLabel for="evento6Data" rendered="#{not empty processoEstagioBean.processo.data5 and empty processoEstagioBean.processo.data6}" value="Data Finalização do Processo:"
					style="font-weight:bold" />
				<p:calendar id="evento6Data" rendered="#{not empty processoEstagioBean.processo.data5 and empty processoEstagioBean.processo.data6}" value="#{processoEstagioBean.processo.data6}"
					showOn="button" pattern="dd/MM/yyyy"/>
				<h:outputLabel for="descricao" rendered="#{not empty processoEstagioBean.processo.data5 and empty processoEstagioBean.processo.data6}" value="Observação:" style="font-weight:bold" />
				<p:inputText id="Nome6" rendered="#{not empty processoEstagioBean.processo.data5 and empty processoEstagioBean.processo.data6}"  value="#{processoEstagioBean.processo.descricao6}" size="70" />
				
				<p:commandButton update="growl" value="Salvar"
					actionListener="#{processoEstagioBean.salvar}" icon="ui-icon-check" />

			</h:panelGrid>


		</h:form>	
		
	</ui:define>
</ui:decorate>
</html>